[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Chicken-users] Problem with (require-for-syntax srfi-40)

From: Alejandro Forero Cuervo
Subject: Re: [Chicken-users] Problem with (require-for-syntax srfi-40)
Date: Mon, 10 May 2004 18:25:47 -0500
User-agent: Mutt/

> Very strange. If  you put (require-for-syntax 'srfi-40)  at the
> start of test.scm, does it work then?

Oh,  I just  found  out the  source of  the  problem: I have  two
versions of  Chicken installed  (the Debian  package for  1.22 in
/usr and 1.33 in  /mnt/matrix/stow/chicken-1.33).  Even though my
executable  gets built  using csc  and chicken-config  from 1.33,
when running it  it loads the libraries from  1.22 (at /usr/lib),
which look for the 1.22 registry (in /usr/lib/chicken).

Setting LD_LIBRARY_PATH solved it.

Thanks for your help, Felix!


---=(  Comunidad de Usuarios de Software Libre en Colombia  )=---               
---=( )=--=( address@hidden  )=---                   

Attachment: signature.asc
Description: Digital signature

reply via email to

[Prev in Thread] Current Thread [Next in Thread]